<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/PlaylistParser/include/PlaylistParser/UrlContentToAttachmentConverter.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_655fbec917b1f23289d3ed8ec9803bf1.html">PlaylistParser</a></li><li class="navelem"><a class="el" href="dir_057ee5c37ac9c880ef5f0b623529f2e3.html">include</a></li><li class="navelem"><a class="el" href="dir_0ae71fe8a08302c61b29252af9be9328.html">PlaylistParser</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">UrlContentToAttachmentConverter.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;atomic&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &lt;<a class="el" href="_in_process_attachment_8h_source.html">AVSCommon/AVS/Attachment/InProcessAttachment.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_in_process_attachment_reader_8h_source.html">AVSCommon/AVS/Attachment/InProcessAttachmentReader.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_in_process_attachment_writer_8h_source.html">AVSCommon/AVS/Attachment/InProcessAttachmentWriter.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_h_t_t_p_content_fetcher_interface_factory_interface_8h_source.html">AVSCommon/SDKInterfaces/HTTPContentFetcherInterfaceFactoryInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_playlist_parser_observer_interface_8h_source.html">AVSCommon/Utils/PlaylistParser/PlaylistParserObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_requires_shutdown_8h_source.html">AVSCommon/Utils/RequiresShutdown.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_executor_8h_source.html">AVSCommon/Utils/Threading/Executor.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_content_decrypter_8h_source.html">PlaylistParser/ContentDecrypter.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_playlist_parser_8h_source.html">PlaylistParser/PlaylistParser.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for UrlContentToAttachmentConverter.h:</div>
<div class="dyncontent">
<div class="center"><img src="_url_content_to_attachment_converter_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_url_content_to_attachment_converter_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_url_content_to_attachment_converter_8h" id="_2workplace_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_url_content_to_attachment_converter_8h">
<area shape="rect" id="node4" href="_in_process_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/InProcessAttachment.h" alt="" coords="944,712,1145,751"/>
<area shape="rect" id="node28" href="_in_process_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/InProcessAttachmentReader.h" alt="" coords="706,799,912,837"/>
<area shape="rect" id="node29" href="_in_process_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/InProcessAttachmentWriter.h" alt="" coords="480,799,681,837"/>
<area shape="rect" id="node30" href="_h_t_t_p_content_fetcher_interface_factory_interface_8h.html" title="AVSCommon/SDKInterfaces\l/HTTPContentFetcherInterface\lFactoryInterface.h" alt="" coords="2017,452,2221,504"/>
<area shape="rect" id="node37" href="_playlist_parser_observer_interface_8h.html" title="AVSCommon/Utils/Playlist\lParser/PlaylistParserObserver\lInterface.h" alt="" coords="1230,352,1430,404"/>
<area shape="rect" id="node40" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="2447,972,2634,1011"/>
<area shape="rect" id="node41" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="2759,972,2954,1011"/>
<area shape="rect" id="node47" href="_content_decrypter_8h.html" title="PlaylistParser/ContentDecrypter.h" alt="" coords="1925,119,2146,144"/>
<area shape="rect" id="node48" href="_playlist_parser_8h.html" title="PlaylistParser/PlaylistParser.h" alt="" coords="2513,192,2712,217"/>
<area shape="rect" id="node5" href="_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/Attachment.h" alt="" coords="986,799,1188,837"/>
<area shape="rect" id="node14" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="728,885,890,924"/>
<area shape="rect" id="node8" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="1016,885,1217,924"/>
<area shape="rect" id="node12" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="1182,1145,1344,1184"/>
<area shape="rect" id="node13" href="_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentWriter.h" alt="" coords="490,885,692,924"/>
<area shape="rect" id="node27" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="68,1152,170,1177"/>
<area shape="rect" id="node17" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="623,979,770,1004"/>
<area shape="rect" id="node19" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="830,1145,1006,1184"/>
<area shape="rect" id="node22" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="764,1065,872,1091"/>
<area shape="rect" id="node23" href="_reader_8h.html" title="Reader.h" alt="" coords="514,1065,589,1091"/>
<area shape="rect" id="node26" href="_writer_8h.html" title="Writer.h" alt="" coords="372,1065,439,1091"/>
<area shape="rect" id="node20" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1067,1232,1243,1271"/>
<area shape="rect" id="node31" href="_h_t_t_p_content_fetcher_interface_8h.html" title="AVSCommon/SDKInterfaces\l/HTTPContentFetcherInterface.h" alt="" coords="1775,552,1989,591"/>
<area shape="rect" id="node32" href="_http_response_code_8h.html" title="AVSCommon/Utils/HTTP\l/HttpResponseCode.h" alt="" coords="1351,1059,1520,1097"/>
<area shape="rect" id="node34" href="_h_t_t_p_content_8h.html" title="AVSCommon/Utils/HTTPContent.h" alt="" coords="1844,639,2071,664"/>
<area shape="rect" id="node36" href="_s_d_k_version_8h.html" title="AVSCommon/Utils/SDKVersion.h" alt="" coords="1699,719,1916,744"/>
<area shape="rect" id="node39" href="_playlist_entry_8h.html" title="PlaylistEntry.h" alt="" coords="1406,465,1510,491"/>
<area shape="rect" id="node45" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="3027,1059,3222,1097"/>
<area shape="rect" id="node50" href="_playlist_parser_interface_8h.html" title="AVSCommon/Utils/Playlist\lParser/PlaylistParserInterface.h" alt="" coords="2114,265,2322,304"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_url_content_to_attachment_converter_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_url_content_to_attachment_converter_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_url_content_to_attachment_converter_8hdep" id="_2workplace_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_url_content_to_attachment_converter_8hdep">
<area shape="rect" id="node2" href="_android_s_l_e_s_media_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/include/AndroidSLESMediaPlayer\l/AndroidSLESMediaPlayer.h" alt="" coords="307,119,570,184"/>
<area shape="rect" id="node5" href="_media_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/include/MediaPlayer\l/MediaPlayer.h" alt="" coords="702,119,932,184"/>
<area shape="rect" id="node6" href="_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/src/MediaPlayer.cpp" alt="" coords="609,232,838,284"/>
<area shape="rect" id="node8" href="_url_content_to_attachment_converter_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/src\l/UrlContentToAttachmentConverter.cpp" alt="" coords="955,125,1209,177"/>
<area shape="rect" id="node3" href="_android_s_l_e_s_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/src/AndroidSLESMediaPlayer.cpp" alt="" coords="5,232,268,284"/>
<area shape="rect" id="node4" href="_android_s_l_e_s_media_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/test/AndroidSLESMediaPlayerTest.cpp" alt="" coords="292,232,584,284"/>
<area shape="rect" id="node7" href="_media_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/test/MediaPlayerTest.cpp" alt="" coords="862,232,1092,284"/>
</map>
</div>
</div>
<p><a href="_url_content_to_attachment_converter_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_url_content_to_attachment_converter.html">alexaClientSDK::playlistParser::UrlContentToAttachmentConverter</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class that handles the streaming of urls containing media into <code>Attachments</code>.  <a href="classalexa_client_s_d_k_1_1playlist_parser_1_1_url_content_to_attachment_converter.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_url_content_to_attachment_converter_1_1_error_observer_interface.html">alexaClientSDK::playlistParser::UrlContentToAttachmentConverter::ErrorObserverInterface</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class to observe errors that arise from converting a URL to to an <code>Attachment</code>.  <a href="classalexa_client_s_d_k_1_1playlist_parser_1_1_url_content_to_attachment_converter_1_1_error_observer_interface.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1playlist_parser"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1playlist_parser.html">alexaClientSDK::playlistParser</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
